#ifndef __COLOR_CONTROL_CLUSTER_H__
#define __COLOR_CONTROL_CLUSTER_H__

#ifdef __cplusplus
extern "C"
{
#endif
#include "tuya_cloud_types.h"
#include "app_light_control.h"
#include "app_cluster_on_off.h"
#include "app_light_tools.h"
#include "tal_data_send.h"
#include "tkl_endpoint_register.h"

/**
* @brief 
* 
* @param cmd 
* @param payload 
* @param payload_len 
* @param cmd_type 
* @return OPERATE_RET 
*/
OPERATE_RET app_color_cluster_handler(UCHAR_T cmd, UINT8_T *payload, UINT8_T payload_len, ZIGBEE_CMD_T cmd_type);
/**
* @brief 
* 
* @param qos 
* @param delay_ms 
* @param mode 
*/
 VOID_T app_color_report_mode_value(TAL_SEND_QOS_E qos, USHORT_T delay_ms, UCHAR_T mode);
 /**
* @brief 
* 
* @param qos 
* @param delay_ms 
* @param temperature 
*/
VOID_T app_color_report_temperature_value(TAL_SEND_QOS_E qos, USHORT_T delay_ms, USHORT_T temperature);
/**
 * @brief 
 * 
 * @param qos 
 * @param delay_ms 
 * @param temperature 
 */
VOID_T app_color_report_ty_temperature_value(TAL_SEND_QOS_E qos, USHORT_T delay_ms, USHORT_T temperature);

#ifdef __cplusplus
}
#endif

#endif
