#ifndef __LEVEL_CLUSTER_H__
#define __LEVEL_CLUSTER_H__

#ifdef __cplusplus
extern "C"
{
#endif

#include "tuya_cloud_types.h"
#include "app_light_control.h"
#include "app_cluster_on_off.h"
#include "app_light_control.h"
#include "app_light_tools.h"
#include "tal_data_send.h"
#include "tkl_endpoint_register.h"

typedef enum
{
    MOVE_UP = 0,
    MOVE_DOWM,
} MOVE_MODE_E;

/**
 * @brief 
 * 
 * @param cmd 
 * @param payload 
 * @param payload_len 
 * @param cmd_type 
 * @return OPERATE_RET 
 */
OPERATE_RET app_level_cluster_handler(UCHAR_T cmd, UINT8_T *payload, UINT8_T payload_len, ZIGBEE_CMD_T cmd_type);

/**
 * @brief 
 * 
 * @param Qos 
 * @param delay_ms 
 * @param level 
 */
VOID_T app_level_report_level_value(TAL_SEND_QOS_E Qos, USHORT_T delay_ms, UCHAR_T level);
/**
 * @brief 
 * 
 * @param Qos 
 * @param delay_ms 
 * @param bright 
 */
VOID_T app_level_report_ty_bright_value(TAL_SEND_QOS_E Qos, USHORT_T delay_ms, USHORT_T bright);

#ifdef __cplusplus
}
#endif

#endif
